Bug 1225113 - instack-build-images can not build discovery ramdisk
Summary: instack-build-images can not build discovery ramdisk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 7.0 (Kilo)
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ga
: Director
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-26 15:31 UTC by John Trowbridge
Modified: 2015-08-05 13:51 UTC (History)
5 users (show)

Fixed In Version: fio-2.2.8-1.el7ost sysbench-0.4.12-12.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:51:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description John Trowbridge 2015-05-26 15:31:46 UTC
Description of problem:
The ironic-discoverd-ramdisk-instack element has the fio package in the package-installs.yaml. However, the fio package is not available anywhere for RHOS. 

We need to make the fio package available somewhere for RHOS, and add it as a dependency. Since it is the python-hardware library that uses the fio utility to do disk benchmarks, the dependency should go in python-hardware.

fio should be removed from the package-installs.yaml in the ironic-discoverd-ramdisk-instack element as well.

Comment 3 John Trowbridge 2015-05-26 16:10:54 UTC
The sysbench package is also used by the python-hardware library for benchmarks. This package should also be removed from the ironic-discoverd-ramdisk-instack element and added as a dependency of the python-hardware library.

Comment 6 Omri Hochman 2015-07-07 20:39:21 UTC
Verified with : 
---------------
fio-2.2.8-1.el7ost.x86_64
sysbench-0.4.12-12.el7ost.x86_64
instack-0.0.7-1.el7ost.noarch
instack-undercloud-2.1.2-11.el7ost.noarch


The command openstack overcloud image build --all  --> Works and build the images as expected.

Comment 8 errata-xmlrpc 2015-08-05 13:51:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.